PETSc version 3.17.4
Fix/Edit manual page

# DMPlexTransformExtrudeSetNormalFunction

Set a function to determine the extrusion normal

### Synopsis

    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexTransformExtrudeSetNormalFunction(DMPlexTransform tr, PetscSimplePointFunc normalFunc)

Not collective

### Input Parameters

| tr | - The DMPlexTransform
| normalFunc | - A function determining the extrusion direction

Note: The calling sequence for the function is normalFunc(PetscInt dim, PetscReal time, const PetscReal x[], PetscInt r, PetscScalar u[], void *ctx)

    dim  - The coordinate dimension of the original mesh (usually a surface)

    time - The current time, or 0.

    x    - The location of the current normal, in the coordinate space of the original mesh

    r    - The extrusion replica number (layer number) of this point

    u    - The user provides the computed normal on output; the sign and magnitude is not significant

    ctx  - An optional user context

### See Also

DMPlexTransformExtrudeGetNormal()

### Level

intermediate

### Location

src/dm/impls/plex/transform/impls/extrudeplextrextrude.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages